---
title: Pincode
description: Get information about all offices and localities in an area based on the provided pin code.
---

This API will give information of all the offices/stores located in an area based on pin code. We must pass pin code in request to get details of office name, region name and address details.

POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/pincode
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| affiliate  required | Text | Will be provided by airpay (required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| api-key  required | Text | Will be provided by airpay ( required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay ( required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| pincode  required | Numeric  <br>(6) | Pincode | `612345` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric | [400-fail,200- success](length 3) | `400,200` |
| message  required | text | [success, fail] | `success,fail` |
| data  required | text | { "OFFICE_NAME": "Arakinar S.O","REGION_NAME": "balussery", "DISTRICT_NAME": "KOZHIKODE","STATE_NAME": "KERALA", "PINCODE": "612345", "TALUK": "Kozhikode", "LOCALITY_DETAIL_1": "Arakinar", "LOCALITY_DETAIL_2": "NA", "LOCALITY_DETAIL_3": "PARAMBA" } |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/pincode' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'pincode=612345'
```

### Success Response

```
{
   {
    "status": "200",
    "message": "success",
    "data": [
        {
            "OFFICE_NAME": "Arakinar S.O",
            "REGION_NAME": "Balussery",
            "DISTRICT_NAME": "KOZHIKODE",
            "STATE_NAME": "KERALA",
            "PINCODE": "612345",
            "TALUK": "Kozhikode",
            "LOCALITY_DETAIL_1": "Arakinar",
            "LOCALITY_DETAIL_2": "NA",
            "LOCALITY_DETAIL_3": "balussery MAIN ROAD"
        },
        {
            "OFFICE_NAME": "Arakinar S.O",
            "REGION_NAME": "balussery",
            "DISTRICT_NAME": "KOZHIKODE",
            "STATE_NAME": "KERALA",
            "PINCODE": "612345",
            "TALUK": "Kozhikode",
            "LOCALITY_DETAIL_1": "Arakinar",
            "LOCALITY_DETAIL_2": "NA",
            "LOCALITY_DETAIL_3": "CHULLIAN VALAPPU"
        },
        {
            "OFFICE_NAME": "Arakinar S.O",
            "REGION_NAME": "balussery",
            "DISTRICT_NAME": "KOZHIKODE",
            "STATE_NAME": "KERALA",
            "PINCODE": "612345",
            "TALUK": "Kozhikode",
            "LOCALITY_DETAIL_1": "Arakinar",
            "LOCALITY_DETAIL_2": "NA",
            "LOCALITY_DETAIL_3": "PARAMBA"
        }

    ]
}
```

### Error Response

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```